Subject: Re: bug#18757: 24.4; Intermittent screen flicker since upgrading to OS X 10.10

From: Emanuel Evans <[email-masked]>
Date: Mon, 20 Oct 2014 09:05:13 -0700

Jan Djärv <[email-masked]> writes:

>
> I can't repeate it.  Maybe hardware related?
>

Thanks so much for looking into this! If it's at all helpful, I've found
a way to consistently reproduce it on my computer from a fresh build
with Emacs -Q (starting in a scratch buffer):

1. M-x toggle-frame-fullscreen
2. C-x 3
3. C-x o
4. C-x b <return>
5. Flicker occurs on C-x o each time

I'm testing on a mid-2012 MacBook Pro with an Intel HD Graphics 4000
GPU. I'll try upgrading a different computer as well and see if it shows
up there. Here's the output from M-x report-emacs-bug after reproducing:

In GNU Emacs 24.4.1 (x86_64-apple-darwin14.0.0, NS apple-appkit-1343.14)
 of 2014-10-20 on WorkBook-Pro.local
Windowing system distributor `Apple', version 10.3.1343
Configured using:
 `configure --with-ns'

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Messages

Minor modes in effect:
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x t o g g l <tab> f r a <tab> f u <tab> <return>
C-x 3 C-x o C-x b <return> C-x o C-x o C-x o C-x o
M-x r e p r o t <tab> <backspace> <backspace> <backspace>
o r <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
You can run the command `toggle-frame-fullscreen' with <f11>

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util help-fns mail-prsvr mail-utils time-date tooltip electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel ns-win tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind cocoa ns multi-tty emacs)

Memory information:
((conses 16 71580 3562)
 (symbols 48 17368 0)
 (miscs 40 40 91)
 (strings 32 9736 4121)
 (string-bytes 1 266461)
 (vectors 16 8947)
 (vector-slots 8 372467 19561)
 (floats 8 58 174)
 (intervals 56 166 7)
 (buffers 960 11))